Bug 463280 - [LTC 6.0 FEAT] 201220:Ship the adapter firmware image with driver cxgb3.
[LTC 6.0 FEAT] 201220:Ship the adapter firmware image with driver cxgb3.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
medium Severity medium
: alpha
: 6.0
Assigned To: Doug Ledford
Network QE
: FutureFeature
Depends On:
Blocks: 356741 554559 555224 555228
  Show dependency treegraph
 
Reported: 2008-09-22 16:10 EDT by IBM Bug Proxy
Modified: 2010-11-10 15:46 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.32-8.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:46:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
7.0.0 level firmware on cxgb3 adapter. (23.27 KB, application/octet-stream)
2009-03-03 11:42 EST, IBM Bug Proxy
no flags Details
7.4.0 firmware to support cxgb3 driver in 2.6.31-rc7 kernel. (23.89 KB, application/octet-stream)
2009-09-01 12:51 EDT, IBM Bug Proxy
no flags Details
t3b_protocol_sram on adapter (517 bytes, application/octet-stream)
2009-09-01 12:51 EDT, IBM Bug Proxy
no flags Details
t3c_protocol_sram on cxgb3 adapter (528 bytes, application/octet-stream)
2009-09-01 12:51 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-22 16:10:48 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:24 EDT
1. Feature Overview:
Feature Id:	[201220]
a. Name of Feature:	Ship the adapter firmware image with driver cxgb3.
b. Feature Description
The Chelsio adapter firmware needs to be shipped with the corresponding driver level on the
installation. The firmware will need to be installed in /lib/firmware directory with other firmware
binary images.

This is most likely a validation only feature. For 5.3, the request is being tracked in RH BZ 456908
which is ON_QA on 9/22/2008.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Configuration/Build Change
d. Upstream Acceptance:	No Code Required
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	version 5.0

3. Business Case
Targeting commercial and HPC cluster segments for the customers to deploy solutions needing the
ethernet standards based offerings. To ensure the seamless support of the Chelsio RDMA 10Gb PCI-E
Ethernet adapter, the driver level and the corresponding firmware level need to be shipped on the
installation.  The support of the cxgb3 driver as well as the RDMA upper layer functions is in
feature request (DevTrack 200959) RHBZ254027.


4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Wen Xiong, wenxiong@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Andy Gospodarek 2009-02-03 13:58:51 EST
As long as we plan to ship the kernel-firmware rpms from F11 in RHEL6, I do not see a problem with this.

As you can see from this log (who knows how long it will be around):

http://koji.fedoraproject.org/koji/rpminfo?rpmID=981742

The kernel-firmware rpm contains these binaries:

/lib/firmware/cxgb3
/lib/firmware/cxgb3/t3b_psram-1.1.0.bin
/lib/firmware/cxgb3/t3c_psram-1.1.0.bin
/lib/firmware/cxgb3/t3fw-7.0.0.bin

Which would indicate that the firmware will be installed and remain in lock-step with the driver.
Comment 2 IBM Bug Proxy 2009-03-03 11:42:33 EST
Created attachment 333894 [details]
7.0.0 level firmware on cxgb3 adapter.


------- Comment (attachment) From wenxiong@us.ibm.com 2009-03-03 11:30 EDT-------


7.0.0 level firmware on cxgb3 adapter.
Comment 3 IBM Bug Proxy 2009-09-01 12:51:11 EDT
------- Comment From wenxiong@us.ibm.com 2009-09-01 12:45 EDT-------
Firmware moved up to 7.4.0. I am going to re-attach the firmwares.

lib/firmware/cxgb3
/lib/firmware/cxgb3/t3fw-7.4.0.bin
Comment 4 IBM Bug Proxy 2009-09-01 12:51:15 EDT
Created attachment 359424 [details]
7.4.0 firmware to support cxgb3 driver in 2.6.31-rc7 kernel.


------- Comment (attachment only) From wenxiong@us.ibm.com 2009-09-01 12:46 EDT-------
Comment 5 IBM Bug Proxy 2009-09-01 12:51:20 EDT
Created attachment 359425 [details]
t3b_protocol_sram on adapter


------- Comment (attachment only) From wenxiong@us.ibm.com 2009-09-01 12:47 EDT-------
Comment 6 IBM Bug Proxy 2009-09-01 12:51:24 EDT
Created attachment 359426 [details]
t3c_protocol_sram on cxgb3 adapter


------- Comment (attachment only) From wenxiong@us.ibm.com 2009-09-01 12:48 EDT-------
Comment 7 John Jarvis 2010-01-15 12:36:49 EST
IBM is signed up to test and provide feedback.
Comment 8 John Jarvis 2010-01-19 11:04:36 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux major release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux major release.   
While it is a goal to include this enhancement in the next major release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next major release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 9 Bill Nottingham 2010-01-28 11:41:55 EST
$ rpm -qlp kernel-firmware-2.6.32-8.el6.noarch.rpm |grep cx
/lib/firmware/cxgb3
/lib/firmware/cxgb3/ael2005_opt_edc.bin
/lib/firmware/cxgb3/ael2005_twx_edc.bin
/lib/firmware/cxgb3/ael2020_twx_edc.bin
/lib/firmware/cxgb3/t3b_psram-1.1.0.bin
/lib/firmware/cxgb3/t3c_psram-1.1.0.bin
/lib/firmware/cxgb3/t3fw-7.4.0.bin
Comment 10 Doug Ledford 2010-01-28 12:12:48 EST
Moving to ON_QA as the firmware files match what the 2.6.32 kernel needs.
Comment 11 IBM Bug Proxy 2010-05-07 14:01:51 EDT
------- Comment From adetsch@br.ibm.com 2010-05-07 13:54 EDT-------
Verified in RHEL6 snap2.

# uname -r
2.6.32-23.el6.ppc64

# rpm -ql kernel-firmware | grep cx
/lib/firmware/cxgb3
/lib/firmware/cxgb3/ael2005_opt_edc.bin
/lib/firmware/cxgb3/ael2005_twx_edc.bin
/lib/firmware/cxgb3/ael2020_twx_edc.bin
/lib/firmware/cxgb3/t3b_psram-1.1.0.bin
/lib/firmware/cxgb3/t3c_psram-1.1.0.bin
/lib/firmware/cxgb3/t3fw-7.4.0.bin
Comment 13 releng-rhel@redhat.com 2010-11-10 15:46:33 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.